## ros-lunar-swri-transform-util 2.9.0

=== debian/changelog ===
ros-lunar-swri-transform-util (2.9.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-lunar-swri-transform-util (2.8.0-1xenial) xenial; urgency=high

  * Reduce the number of local_xy subscribers from 3 per transform manager to 1 (#537 <https://github.com/swri-robotics/marti_common/issues/537>)
  * Add dynamic parameters (#532 <https://github.com/swri-robotics/marti_common/issues/532>)
  * Contributors: Matthew

 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-lunar-swri-transform-util (2.7.3-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-lunar-swri-transform-util (2.7.2-1xenial) xenial; urgency=high

  * Fix the unit test that intermittently breaks (#534 <https://github.com/swri-robotics/marti_common/issues/534>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-lunar-swri-transform-util (2.7.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-lunar-swri-transform-util (2.7.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-lunar-swri-transform-util (2.6.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-lunar-swri-transform-util (2.5.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-lunar-swri-transform-util (2.4.0-1xenial) xenial; urgency=high

  * Handle invalid fixes properly (#519 <https://github.com/swri-robotics/marti_common/issues/519>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-lunar-swri-transform-util (2.3.0-1xenial) xenial; urgency=high

  * Initialize transform timestamp to 0 instead of ros::Time::now() (#515 <https://github.com/swri-robotics/marti_common/issues/515>)
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-lunar-swri-transform-util (2.2.1-1xenial) xenial; urgency=high

  * Support ROS Melodic (#514 <https://github.com/swri-robotics/marti_common/issues/514>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-lunar-swri-transform-util (2.2.0-1xenial) xenial; urgency=high

  * Add gps_transform_publisher. (#509 <https://github.com/swri-robotics/marti_common/issues/509>)
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-lunar-swri-transform-util (2.1.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-lunar-swri-transform-util (2.0.0-1xenial) xenial; urgency=high

  * expose TransformManager::LocalXyUtil() and LocalXyWgs84Util::ResetInitialization() (#501 <https://github.com/swri-robotics/marti_common/issues/501>)
  * Complete rewrite of initialize_origin.py (#491 <https://github.com/swri-robotics/marti_common/issues/491>)
  * Normalize TF frames before comparisons. (#492 <https://github.com/swri-robotics/marti_common/issues/492>)
  * Add new methods that expose the frame timeout. (#498 <https://github.com/swri-robotics/marti_common/issues/498>)
  * Use pkgconfig to include libproj in swri_transform_util
  * Contributors: Davide Faconti, Edward Venator, P. J. Reed

 -- Marc Alban <malban@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-lunar-swri-transform-util (1.2.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-lunar-swri-transform-util (1.1.0-1xenial) xenial; urgency=high

  * Revert "Remove nodelet_plugins.xml from CMakeLists.txt" (#475 <https://github.com/pjreed/marti_common/issues/475>)
  * Document swri_transform_util (#456 <https://github.com/pjreed/marti_common/issues/456>)
  * Contributors: Edward Venator, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-lunar-swri-transform-util (1.0.0-1xenial) xenial; urgency=high

  * Increase delay before running tests.
  * Integrate transformers as static classes instead of plug-ins.
  * Add inverse transform implementation to transforms. (#464 <https://github.com/evenator/marti_common/issues/464>)
  * Add tests for initialize_origin.py script (#457 <https://github.com/evenator/marti_common/issues/457>)
  * Contributors: Edward Venator, Marc Alban

 -- Marc Alban <malban@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-lunar-swri-transform-util (0.3.0-1xenial) xenial; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Fix dynamic reconfigure in dynamic_publisher (closes issue #448 <https://github.com/pjreed/marti_common/issues/448>).
  * Contributors: Elliot Johnson, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-lunar-swri-transform-util (0.2.4-1xenial) xenial; urgency=high

  * Ignore invalid fixes
    Fixes #431 <https://github.com/swri-robotics/marti_common/issues/431>.
  * Remove unused gps_common dependency (#422 <https://github.com/swri-robotics/marti_common/issues/422>)
    Fix #421 <https://github.com/swri-robotics/marti_common/issues/421> by removing gps_common from the swri_transform_util CMakeLists.txt in kinetic.
  * Simplify dynamic reconfigure usage.
  * Add nodelet for publishing a dynamically reconfigurable TF transform.
  * Contributors: Edward Venator, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-lunar-swri-transform-util (0.2.3-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-lunar-swri-transform-util (0.2.2-1xenial) xenial; urgency=high

  * Migrated OpenCV to 3.1 (default in Kinetic)
  * Contributors: Brian Holt

 -- Marc Alban <malban@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000


