=== debian/control ===
Source: ros-lunar-swri-transform-util
Section: misc
Priority: extra
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgeos++-dev, libproj-dev, libyaml-cpp-dev, pkg-config, ros-lunar-catkin, ros-lunar-cv-bridge, ros-lunar-diagnostic-msgs, ros-lunar-geographic-msgs, ros-lunar-geometry-msgs, ros-lunar-gps-common, ros-lunar-nodelet, ros-lunar-roscpp, ros-lunar-rospy, ros-lunar-rostest, ros-lunar-swri-math-util, ros-lunar-swri-nodelet, ros-lunar-swri-roscpp, ros-lunar-swri-yaml-util, ros-lunar-tf, ros-lunar-topic-tools
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-lunar-swri-transform-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libgeos++-dev, libproj-dev, libyaml-cpp-dev, ros-lunar-cv-bridge, ros-lunar-diagnostic-msgs, ros-lunar-geographic-msgs, ros-lunar-geometry-msgs, ros-lunar-gps-common, ros-lunar-nodelet, ros-lunar-roscpp, ros-lunar-rospy, ros-lunar-sensor-msgs, ros-lunar-swri-math-util, ros-lunar-swri-nodelet, ros-lunar-swri-roscpp, ros-lunar-swri-yaml-util, ros-lunar-tf, ros-lunar-topic-tools
Description: The swri_transform_util package contains utility functions and classes for transforming between coordinate frames.
